## Index

### Classes

- Interface

### Interfaces

- Key
- ReadLineOptions

### Type aliases

- AsyncCompleter
- Completer
- CompleterResult
- ReadLine

### Functions

- clearLine
- clearScreenDown
- createInterface
- cursorTo
- emitKeypressEvents
- moveCursor

## Type aliases

### AsyncCompleter

AsyncCompleter: function

- Defined in node_modules/@types/node/readline.d.ts:113

#### Type declaration

- - (line: string, callback: function): any

  - #### Parameters

    - ##### line: string

    - ##### callback: function

      - - (err?: null | Error, result?: CompleterResult): void

        - #### Parameters

          - ##### Optional err: null | Error

          - ##### Optional result: CompleterResult

          #### Returns void

    #### Returns any

### Completer

Completer: function

- Defined in node_modules/@types/node/readline.d.ts:112

#### Type declaration

- - (line: string): CompleterResult

  - #### Parameters

    - ##### line: string

    #### Returns CompleterResult

### CompleterResult

CompleterResult: [string[], string]

- Defined in node_modules/@types/node/readline.d.ts:115

### ReadLine

ReadLine: Interface

- Defined in node_modules/@types/node/readline.d.ts:110

## Functions

### clearLine

- clearLine(stream: WritableStream, dir: number): void

- - Defined in node_modules/@types/node/readline.d.ts:134

  #### Parameters

  - ##### stream: WritableStream

  - ##### dir: number

  #### Returns void

### clearScreenDown

- clearScreenDown(stream: WritableStream): void

- - Defined in node_modules/@types/node/readline.d.ts:135

  #### Parameters

  - ##### stream: WritableStream

  #### Returns void

### createInterface

- createInterface(input: ReadableStream, output?: WritableStream, completer?: Completer | AsyncCompleter, terminal?: undefined | false | true): Interface
- createInterface(options: ReadLineOptions): Interface

- - Defined in node_modules/@types/node/readline.d.ts:128

  #### Parameters

  - ##### input: ReadableStream

  - ##### Optional output: WritableStream

  - ##### Optional completer: Completer | AsyncCompleter

  - ##### Optional terminal: undefined | false | true

  #### Returns Interface

- - Defined in node_modules/@types/node/readline.d.ts:129

  #### Parameters

  - ##### options: ReadLineOptions

  #### Returns Interface

### cursorTo

- cursorTo(stream: WritableStream, x: number, y?: undefined | number): void

- - Defined in node_modules/@types/node/readline.d.ts:131

  #### Parameters

  - ##### stream: WritableStream

  - ##### x: number

  - ##### Optional y: undefined | number

  #### Returns void

### emitKeypressEvents

- emitKeypressEvents(stream: ReadableStream, interface?: Interface): void

- - Defined in node_modules/@types/node/readline.d.ts:132

  #### Parameters

  - ##### stream: ReadableStream

  - ##### Optional interface: Interface

  #### Returns void

### moveCursor

- moveCursor(stream: WritableStream, dx: number | string, dy: number | string): void

- - Defined in node_modules/@types/node/readline.d.ts:133

  #### Parameters

  - ##### stream: WritableStream

  - ##### dx: number | string

  - ##### dy: number | string

  #### Returns void

Generated using TypeDoc